- Qbs Manual
- setup-android
- Qbs 2.1.1

# setup-android

## Synopsis

     qbs setup-android [--settings-dir <directory>] [--ndk-dir <directory>]
                       [--sdk-dir <directory>] [--qt-dir <directory>]
                       <profile name>

## Description

Creates Qbs profiles for Android SDK and NDK installations.

If a Qt path is given, these additional profiles will be suitable for building Qt binaries for the respective architecture, if the Qt installation has support for it.

## Options

### `--settings-dir <directory>`

Reads all settings (such as profile information) from the specified `<directory>`. If the directory does not exist, it will be created.

The default value is system-specific. For example:

- Linux: `$HOME/.config/QtProject/qbs`
- Windows: `%APPDATA%\QtProject\qbs`
- macOS: `$HOME/Library/Preferences/qbs`

### `--ndk-dir <directory>`

Specifies a `<directory>` that contains an Android NDK.

### `--sdk-dir <directory>`

Specifies a `<directory>` that contains an Android SDK.

### `--qt-dir <directory>`

Specifies a `<directory>` that contains a Qt version.

### `--help|-h|-?`

Displays help for the command.

## Examples

Creates a profile with the name `oreo` that specifies the target platforms' architectures and operating systems, as well as the toolchains available:

     qbs setup-android oreo